REMAP_VMALLOC_RANGE_(9)

NAME
remap_vmalloc_range_partial - map vmalloc pages to userspace

SYNOPSIS

int remap_vmalloc_range_partial(struct vm_area_struct * vma, unsigned long uaddr, void * kaddr, unsigned long size);

ARGUMENTS

vma
    vma to cover

uaddr
    target user address to start at

kaddr
    virtual address of vmalloc kernel memory

size
    size of map area

RETURNS

0 for success, -Exxx on failure

This function checks that kaddr is a valid vmalloc'ed area, and that it is big enough to cover the range starting at uaddr in vma. Will return failure if that criteria isn't met.

Similar to remap_pfn_range (see mm/memory.c)

COPYRIGHT